// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// 
// Module: NumericalRange
// Author: Jorgo Bakker and Hassan Siddiqui
//
// Description:  
// Some numerical range definitions for floats 
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: NumericalRange.h,v 1.1 2012/01/25 15:46:31 rsaxton Exp $

/*----------------------------------------------------------------------------
 * Some numerical range definitions for floats                             
 *---------------------------------------------------------------------------*/

#ifndef FLT32_MIN
#  define FLT32_MIN 1.17549435e-38F
#endif
#ifndef FLT32_MAX
#  define FLT32_MAX 3.40282347e+38F
#endif

#ifndef FLT64_MIN
#  define FLT64_MIN 2.2250738585072014e-308
#endif
#ifndef FLT64_MAX
#  define FLT64_MAX 1.7976931348623157e+308
#endif

