// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: PixelElement
// Author: Hassan Siddiqui
//
// Description: 
//
// Describes a single detector map pixel.
//
// Modifications: See ChangeLog
// 
// $Id: PixelElement.cc,v 1.1 2012/01/25 15:46:31 rsaxton Exp $

// General classes
#include <iostream>

// SAS-specific classes
#include "Dal.h"

// General utility functions
#include "errstr.h"
#include "Tracer.h"

// Local classes
#include "PixelElement.h"

/* Constructor */
PixelElement::PixelElement( int xindex, 
			  int yindex, 
			  double xCentre, 
			  double yCentre,
			  double xWidth,
			  double yWidth,
			  double value):
  _xindex(xindex),
  _yindex(yindex),
  _xCentre(xCentre),
  _yCentre(yCentre),
  _xWidth(xWidth),
  _yWidth(yWidth),
  _value(value)
{};

int PixelElement::xIndex() const
{
  PROC;
  RETURN _xindex;
}

int PixelElement::yIndex() const
{
  PROC;
  RETURN _yindex;
}

double PixelElement::xCentre() const
{
  PROC;
  RETURN _xCentre;
}

double PixelElement::yCentre() const
{
  PROC;
  RETURN _yCentre;
}

double PixelElement::xWidth() const
{
  PROC;
  RETURN _xWidth;
}

double PixelElement::yWidth() const
{
  PROC;
  RETURN _yWidth;
}


double PixelElement::value() const
{
  PROC;
  RETURN _value;
}


// Insertor for PixelElement
ostream &operator << (ostream &stream, const PixelElement o)
{
  PROC;

  stream 
    << " x-indx "      << o.xIndex()  
    << " y-indx "      << o.yIndex()  
    << " x-phys "      << o.xCentre() 
    << " y-phys "      << o.yCentre() 
    << " x-width "     << o.xWidth()  
    << " y-width "     << o.yWidth()  
    << " value "       << o.value();
	
  RETURN stream;
};
