// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: testArrayPixelIterator
// Author: Hassan Siddiqui
//
// Description: Test harness ArrayPixelIterator class
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: testArrayPixelIterator.cc,v 1.1 2012/01/25 15:46:31 rsaxton Exp $

// General classes
#include <iostream>

// SAS-specific classes
#include "Dal.h"
#include "ArrayPixelIterator.h"

// General utility functions
#include "Tracer.h"
 
// ---------------------------------------------------

// Main function

// ---------------------------------------------------

int main()
{
  PROC; 

  ArrayPixelIterator * it = new ArrayPixelIterator("testarraymap.ds:");

  FOREACH(it)
    {
      PixelElement pixel = it->currentItem();

      errstr 
	<< "TEST: pixel value=" << pixel.value()
	<< " indexx="           << pixel.xIndex()
	<< " indexy="           << pixel.yIndex()
	<< " detx="             << pixel.xCentre()
	<< " dety="             << pixel.yCentre()
 	<< Sas::message(Msg::App, Msg::Verbose);
    }
  
  RETURN 0;
} 
