// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: testCopyColumn
// Author: Hassan Siddiqui
//
// Description: Test harness for CopyUtils class
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: testWCSConvertor.cc,v 1.1 2012/01/25 15:46:31 rsaxton Exp $

// General classes

#include <iostream>


// SAS-specific classes

#include "param.h"
#include "SscWcsConvertor.h"
#include "CalServer.h"

// General utility functions
#include "Tracer.h"
 
// ---------------------------------------------------

// Main function

// ---------------------------------------------------

int main()
{
  PROC; 

  // Test getting wcs keywords from an event table
  string imagefile = "epn_events_table.ds";

  SscWcsConvertor::setWcs(imagefile);
  SscWcsConvertor::setWcsRef(imagefile);
  SscWcsConvertor::setAtt(imagefile);
  double x=25000.0, y=25000.0;
  CoordPair c = SscWcsConvertor::xyToRaDec(x,y);

  cout<<"Conversion from (25000.0,25000.0) RA: "<<c.x()/DEG_TO_RAD<<" DEC: "<<c.y()/DEG_TO_RAD<<endl;

  // Test getting wcs keywords from an image
  imagefile = "m2image.ds";

  SscWcsConvertor::setWcs(imagefile);
  SscWcsConvertor::setWcsRef(imagefile);
  SscWcsConvertor::setAtt(imagefile);
  c = SscWcsConvertor::xyToRaDec(25000.0,25000.0);

  cout<<"Conversion from (25000.0,25000.0) RA: "<<c.x()/DEG_TO_RAD<<" DEC: "<<c.y()/DEG_TO_RAD<<endl;

}
  
